#include "views.h"

boolean view_1(Adafruit_SSD1306 &display, void *pData)
{
  char time_str[300] = "", power_str[50] = "";
  DateTimePacket *p = (DateTimePacket *) pData;

  switch(p->powerInfo.powerType)
  {
    case USB:
    sprintf(power_str,"USB");
      break;
    default:
      sprintf(power_str,"BATT(%u%%)", p->powerInfo.level);
  }
  
  sprintf(time_str,"RTC:time--> %d:%d:%d\ndate--> %d/%d/%d\nFree RAM : %d\nSdCard : %.2fGB\nPower : %s\n",p->dateTime.hour(), p->dateTime.minute(), p->dateTime.second(), p->dateTime.day(), p->dateTime.month(), p->dateTime.year(),ESP.getFreeHeap(),p->sdCardSize,power_str);
  display.println(time_str);
  display.setCursor(0,56);
  display.println("GLOBAL INFO");
  
  return true;
}

boolean view_2(Adafruit_SSD1306 &display, void *pData)
{
  char conn_str[300];
  sprintf(conn_str,"Ip addr :");
  display.println(conn_str);
  
  display.setCursor(0,56);
  display.println("CONNECTION INFO");

  return true;
}

